[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 9 Update: pcre-7.3-4.fc9



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-6110
2008-07-06 04:43:23
--------------------------------------------------------------------------------

Name        : pcre
Product     : Fedora 9
Version     : 7.3
Release     : 4.fc9
URL         : http://www.pcre.org/
Summary     : Perl-compatible regular expression library
Description :
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

--------------------------------------------------------------------------------
ChangeLog:

* Fri Jul  4 2008 Tomas Hoger <thoger redhat com> - 7.3-4
- Apply Tavis Ormandy's patch for CVE-2008-2371.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #452079 - CVE-2008-2371 pcre: heap overflow caused by incorrect option handling
        https://bugzilla.redhat.com/show_bug.cgi?id=452079
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update pcre' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]